program project1;

uses sysutils;

var a, b, c: longint;
  l, m, n, x: ansistring;

procedure swap(var o1,o2: ansistring);
var o3: ansistring;
begin
  o3:=o1;
  o1:=o2;
  o2:=o3;
end;

procedure sort(var u1,u2,u3: ansistring);
begin
  if u1<u2 then swap(u1,u2);
  if u1<u3 then swap(u1,u3);
  if u2<u3 then swap(u2,u3);
end;

begin
  read(a);
  read(b);
  readln(c);
  l:=inttostr(a);
  m:=inttostr(b);
  n:=inttostr(c);
  sort(l,m,n);
  x:=l+m+n;
  writeln(x);
end.